Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/CONFIG/SHARED/namelist_ice_lim3_ref
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/CONFIG/SHARED/namelist_ice_lim3_ref	(revision 8513)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/CONFIG/SHARED/namelist_ice_lim3_ref	(revision 8514)
@@ -40,8 +40,8 @@
 !------------------------------------------------------------------------------
           ! -- ice_rdgrft_strength -- !
-   ln_str_Hib       = .true.          !  ice strength param.: Hibler_79   => P = pstar*<h>*exp(-c_rhg*A)                      
+   ln_str_H79       = .true.          !  ice strength param.: Hibler_79   => P = pstar*<h>*exp(-c_rhg*A)                      
       rn_pstar      =   2.0e+04       !     ice strength thickness parameter (N/m2) 
       rn_crhg       =   20.0          !     ice strength conc. parameter (-)
-   ln_str_Rot       = .false.         !  ice strength param.: Rothrock_75 => P = Cf*coeff*integral(wr.h^2)    
+   ln_str_R75       = .false.         !  ice strength param.: Rothrock_75 => P = Cf*coeff*integral(wr.h^2)    
       rn_perdg      =   17.0          !     ridging work divided by pot. energy change in ridging
                    ! -- ice_rdgrft -- !
@@ -94,92 +94,95 @@
    ln_adv_Pra       = .false.         !  Advection scheme (Prather)
    ln_adv_UMx       = .true.          !  Advection scheme (Ultimate-Macho)
-      nn_UMx        =   5             !     order of the scheme for UMx (1-5)
+      nn_UMx        =   5             !     order of the scheme for UMx (1-5 ; 20=centered 2nd order)
 /
 !------------------------------------------------------------------------------
 &namice_thd     !   Ice thermodynamics
 !------------------------------------------------------------------------------
-   ln_limthd      =  .true.           !  ice thermo   (T) or not (F) => DO NOT TOUCH UNLESS U KNOW WHAT U DO
-                   ! -- limthd_dif -- !
-   rn_kappa_i     = 1.0               !  radiation attenuation coefficient in sea ice (m-1)
-   nn_ice_thcon   = 1                 !  sea ice thermal conductivity
-                                      !     0: k = k0 + beta.S/T            (Untersteiner, 1964)
-                                      !     1: k = k0 + beta1.S/T - beta2.T (Pringle et al., 2007)
-   ln_dqnsice     = .true.            !  change the surface non-solar flux with surface temperature (T) or not (F)
-   rn_cdsn        = 0.31              !  thermal conductivity of the snow (0.31 W/m/K, Maykut and Untersteiner, 1971)
-                                      !     Obs: 0.1-0.5 (Lecomte et al, JAMES 2013)
-                    ! -- limthd_dh -- !
-   ln_limdH       = .true.            !  activate ice thickness change from growing/melting (T) or not (F) => DO NOT TOUCH UNLESS U KNOW WHAT U DO
-   rn_betas       = 0.66              !  exponent in lead-ice repratition of snow precipitation
-                                      !     betas = 1 -> equipartition, betas < 1 -> more on leads
-                    ! -- limthd_da -- !
-   ln_limdA       = .true.            !  activate lateral melting param. (T) or not (F) => DO NOT TOUCH UNLESS U KNOW WHAT U DO
-   rn_beta        = 1.0               !     (ln_latmelt=T) coef. beta for lateral melting param. Recommended range=[0.8-1.2]
-                                      !      => decrease = more melt and melt peaks toward higher concentration (A~0.5 for beta=1 ; A~0.8 for beta=0.2)
-                                      !         0.3 = best fit for western Fram Strait and Antarctica
-                                      !         1.4 = best fit for eastern Fram Strait      
-   rn_dmin        = 8.                !     (ln_latmelt=T) minimum floe diameter for lateral melting param. Recommended range=[6-10]
-                                      !      => 6  vs 8m = +40% melting at the peak (A~0.5)
-                                      !         10 vs 8m = -20% melting
-                   ! -- limthd_lac -- !
-   ln_limdO       = .true.            !  activate ice growth in open-water (T) or not (F) => DO NOT TOUCH UNLESS U KNOW WHAT U DO
-   rn_hnewice     = 0.1               !  thickness for new ice formation in open water (m)
-   ln_frazil      = .false.           !  Frazil ice parameterization (ice collection as a function of wind)
-   rn_maxfrazb    = 1.0               !     (ln_frazil=T) maximum fraction of frazil ice collecting at the ice base
-   rn_vfrazb      = 0.417             !     (ln_frazil=T) thresold drift speed for frazil ice collecting at the ice bottom (m/s)
-   rn_Cfrazb      = 5.0               !     (ln_frazil=T) squeezing coefficient for frazil ice collecting at the ice bottom
+   ln_icethd        = .true.            !  ice thermo   (T) or not (F) => DO NOT TOUCH UNLESS U KNOW WHAT U DO
+                     ! -- limthd_dif -- !
+   rn_kappa_i       =   1.0             !  radiation attenuation coefficient in sea ice (m-1)
+   ln_cndi_U64      = .false.           !  sea ice thermal conductivity: k = k0 + beta.S/T            (Untersteiner, 1964)
+   ln_cndi_P07      = .true.            !  sea ice thermal conductivity: k = k0 + beta1.S/T - beta2.T (Pringle et al., 2007)
+   ln_dqns_i        = .true.            !  change the surface non-solar flux with surface temperature (T) or not (F)
+   rn_cnd_s         =   0.31            !  thermal conductivity of the snow (0.31 W/m/K, Maykut and Untersteiner, 1971)
+                                        !     Obs: 0.1-0.5 (Lecomte et al, JAMES 2013)
+                      ! -- limthd_dh -- !
+   ln_icedH         = .true.            !  activate ice thickness change from growing/melting (T) or not (F) => DO NOT TOUCH UNLESS U KNOW WHAT U DO
+   rn_blow_s        =   0.66            !     mesure of snow blowing into the leads
+                                        !     = 1 => no snow blowing, < 1 => some snow blowing
+                      ! -- limthd_da -- !
+   ln_icedA         = .true.            !  activate lateral melting param. (T) or not (F) => DO NOT TOUCH UNLESS U KNOW WHAT U DO
+      rn_beta       =   1.0             !     coef. beta for lateral melting param. Recommended range=[0.8-1.2]
+                                        !      => decrease = more melt and melt peaks toward higher concentration (A~0.5 for beta=1 ; A~0.8 for beta=0.2)
+                                        !         0.3 = best fit for western Fram Strait and Antarctica
+                                        !         1.4 = best fit for eastern Fram Strait      
+      rn_dmin       =   8.              !     minimum floe diameter for lateral melting param. Recommended range=[6-10]
+                                        !      => 6  vs 8m = +40% melting at the peak (A~0.5)
+                                        !         10 vs 8m = -20% melting
+                     ! -- limthd_lac -- !
+   ln_icedO         = .true.            !  activate ice growth in open-water (T) or not (F) => DO NOT TOUCH UNLESS U KNOW WHAT U DO
+      rn_hinew      =   0.1             !     thickness for new ice formation in open water (m)
+      ln_frazil     = .false.           !     Frazil ice parameterization (ice collection as a function of wind)
+         rn_maxfraz =   1.0             !        maximum fraction of frazil ice collecting at the ice base
+         rn_vfraz   =   0.417           !        thresold drift speed for frazil ice collecting at the ice bottom (m/s)
+         rn_Cfraz   =   5.0             !        squeezing coefficient for frazil ice collecting at the ice bottom
                     ! -- limitd_th -- !
-   rn_himin       = 0.1               !  minimum ice thickness (m) used in remapping, must be smaller than rn_hnewice
-                       ! -- icestp -- !
-   nn_limflx      = -1                !  LIM3 Multi-category heat flux formulation (use -1 if LIM3 is not used)
-                                      !  =-1  Use per-category fluxes, bypass redistributor, forced mode only, not yet implemented coupled
-                                      !  = 0  Average per-category fluxes (forced and coupled mode)
-                                      !  = 1  Average and redistribute per-category fluxes, forced mode only, not yet implemented coupled
-                                      !  = 2  Redistribute a single flux over categories (coupled mode only)
+   rn_himin         =   0.1             !  minimum ice thickness (m) used in remapping, must be smaller than rn_hnewice
+                         ! -- icestp -- !
+   nn_iceflx        =  -1               !  Redistribute heat flux over ice categories
+                                        !   =-1  Do nothing (needs N(cat) fluxes)
+                                        !        ==> forced mode only
+                                        !   = 0  Average N(cat) fluxes then apply the average over the N(cat) ice
+                                        !        ==> forced and coupled modes
+                                        !   = 1  Average N(cat) fluxes then redistribute over the N(cat) ice using T-ice and albedo sensitivity
+                                        !        ==> forced mode only
+                                        !   = 2  Redistribute a single flux over categories
+                                        !        ==> coupled mode only
 /
 !------------------------------------------------------------------------------
 &namice_sal     !   Ice salinity
 !------------------------------------------------------------------------------
-                   ! -- limthd_sal -- !
-   ln_limdS       = .true.            !  activate gravity drainage and flushing (T) or not (F) => DO NOT TOUCH UNLESS U KNOW WHAT U DO
-   nn_icesal      =  2                !  ice salinity option
-                                      !     1: constant ice salinity (S=rn_icesal)
-                                      !     2: varying salinity parameterization S(z,t)
-                                      !     3: prescribed salinity profile S(z), Schwarzacher, 1959
-   rn_icesal      =  4.               !    (nn_icesal=1) ice salinity (g/kg)
-   rn_sal_gd      =  5.               !  restoring ice salinity, gravity drainage (g/kg)
-   rn_time_gd     =  1.73e+6          !  restoring time scale, gravity drainage  (s)
-   rn_sal_fl      =  2.               !  restoring ice salinity, flushing (g/kg)
-   rn_time_fl     =  8.64e+5          !  restoring time scale, flushing (s)
-   rn_simax       = 20.               !  maximum tolerated ice salinity (g/kg)
-   rn_simin       =  0.1              !  minimum tolerated ice salinity (g/kg)
+                    ! -- limthd_sal -- !
+   ln_icedS       = .true.             !  activate gravity drainage and flushing (T) or not (F) => DO NOT TOUCH UNLESS U KNOW WHAT U DO
+   nn_icesal      =   2                !  ice salinity option
+                                       !     1: constant ice salinity (S=rn_icesal)
+                                       !     2: varying salinity parameterization S(z,t)
+                                       !     3: prescribed salinity profile S(z), Schwarzacher, 1959
+   rn_icesal      =   4.               !    (nn_icesal=1) ice salinity (g/kg)
+   rn_sal_gd      =   5.               !  restoring ice salinity, gravity drainage (g/kg)
+   rn_time_gd     =   1.73e+6          !  restoring time scale, gravity drainage  (s)
+   rn_sal_fl      =   2.               !  restoring ice salinity, flushing (g/kg)
+   rn_time_fl     =   8.64e+5          !  restoring time scale, flushing (s)
+   rn_simax       =  20.               !  maximum tolerated ice salinity (g/kg)
+   rn_simin       =   0.1              !  minimum tolerated ice salinity (g/kg)
 /
 !------------------------------------------------------------------------------
 &namicemp      !   Melt ponds
 !------------------------------------------------------------------------------
-                 ! -- limmp      -- !
-   ln_pnd         = .false.         !  active melt ponds
-   ln_pnd_rad     = .false.         !  active melt ponds radiative coupling
-   ln_pnd_fw      = .false.         !  active melt ponds freshwater coupling
-   nn_pnd_scheme  = 0               !  type of melt pond scheme  : =0 prescribed ( Tsu=0 ), =1 empirical, =2 topographic
-   rn_apnd        = 0.2             !  prescribed pond fraction, at Tsu=0  : (0<rn_apnd<1, nn_pnd_scheme = 0)
-   rn_hpnd        = 0.05            !  prescribed pond depth, at Tsu=0     : (0<rn_apnd<1, nn_pnd_scheme = 0)
+                    ! -- limmp      -- !
+   ln_pnd         = .false.            !  active melt ponds
+   ln_pnd_rad     = .false.            !  active melt ponds radiative coupling
+   ln_pnd_fw      = .false.            !  active melt ponds freshwater coupling
+   nn_pnd_scheme  =   0                !  type of melt pond scheme  : =0 prescribed ( Tsu=0 ), =1 empirical, =2 topographic
+   rn_apnd        =   0.2              !  prescribed pond fraction, at Tsu=0  : (0<rn_apnd<1, nn_pnd_scheme = 0)
+   rn_hpnd        =   0.05             !  prescribed pond depth, at Tsu=0     : (0<rn_apnd<1, nn_pnd_scheme = 0)
 /
 !------------------------------------------------------------------------------
 &namice_ini     !   Ice initialization
 !------------------------------------------------------------------------------
-                  ! -- limistate -- !
-   ln_iceini      = .true.          !  activate ice initialization (T) or not (F)
-   ln_iceini_file = .false.         !  netcdf file provided for initialization (T) or not (F)
-   rn_thres_sst   =  2.0            !  maximum water temperature with initial ice (degC)
-   rn_hts_ini_n   =  0.3            !  initial real snow thickness (m), North
-   rn_hts_ini_s   =  0.3            !        "            "             South
-   rn_hti_ini_n   =  3.0            !  initial real ice thickness  (m), North
-   rn_hti_ini_s   =  1.0            !        "            "             South
-   rn_ati_ini_n   =  0.9            !  initial ice concentration   (-), North
-   rn_ati_ini_s   =  0.9            !        "            "             South
-   rn_smi_ini_n   =  6.3            !  initial ice salinity     (g/kg), North
-   rn_smi_ini_s   =  6.3            !        "            "             South
-   rn_tmi_ini_n   =  270.           !  initial ice/snw temperature (K), North
-   rn_tmi_ini_s   =  270.           !        "            "             South
+                     ! -- limistate -- !
+   ln_iceini      = .true.             !  activate ice initialization (T) or not (F)
+   ln_iceini_file = .false.            !  netcdf file provided for initialization (T) or not (F)
+   rn_thres_sst   =   2.0              !  maximum water temperature with initial ice (degC)
+   rn_hts_ini_n   =   0.3              !  initial real snow thickness (m), North
+   rn_hts_ini_s   =   0.3              !        "            "             South
+   rn_hti_ini_n   =   3.0              !  initial real ice thickness  (m), North
+   rn_hti_ini_s   =   1.0              !        "            "             South
+   rn_ati_ini_n   =   0.9              !  initial ice concentration   (-), North
+   rn_ati_ini_s   =   0.9              !        "            "             South
+   rn_smi_ini_n   =   6.3              !  initial ice salinity     (g/kg), North
+   rn_smi_ini_s   =   6.3              !        "            "             South
+   rn_tmi_ini_n   = 270.               !  initial ice/snw temperature (K), North
+   rn_tmi_ini_s   = 270.               !        "            "             South
 
    sn_hti = 'Ice_initialization'    , -12 ,'hti'   ,  .false.  , .true., 'yearly'  , '' , '', ''
@@ -194,21 +197,22 @@
 &namice_alb     !   albedo parameters
 !------------------------------------------------------------------------------
-   nn_ice_alb   =    1   !  parameterization of ice/snow albedo
-                         !     0: Shine & Henderson-Sellers (JGR 1985), giving clear-sky albedo
-                         !     1: "home made" based on Brandt et al. (JClim 2005) and Grenfell & Perovich (JGR 2004),
-                         !        giving cloud-sky albedo
-   rn_alb_sdry  =  0.85  !  dry snow albedo         : 0.80 (nn_ice_alb = 0); 0.85 (nn_ice_alb = 1); obs 0.85-0.87 (cloud-sky)
-   rn_alb_smlt  =  0.75  !  melting snow albedo     : 0.65 ( '' )          ; 0.75 ( '' )          ; obs 0.72-0.82 ( '' )
-   rn_alb_idry  =  0.60  !  dry ice albedo          : 0.72 ( '' )          ; 0.60 ( '' )          ; obs 0.54-0.65 ( '' )
-   rn_alb_imlt  =  0.50  !  bare puddled ice albedo : 0.53 ( '' )          ; 0.50 ( '' )          ; obs 0.49-0.58 ( '' )
-   rn_alb_dpnd  =  0.27  !  ponded ice albedo       : 0.25 ( '' )          ; 0.27 ( '' )          ; obs 0.10-0.30 ( '' )
+   nn_ice_alb     =    1               !  parameterization of ice/snow albedo
+                                       !     0: Shine & Henderson-Sellers (JGR 1985), giving clear-sky albedo
+                                       !     1: "home made" based on Brandt et al. (JClim 2005)
+                                       !                         and Grenfell & Perovich (JGR 2004), giving cloud-sky albedo
+                                       !     2: as 1 with melt ponds
+   rn_alb_sdry    =   0.85             !  dry snow albedo         : 0.80 (nn_ice_alb = 0); 0.85 (nn_ice_alb = 1); obs 0.85-0.87 (cloud-sky)
+   rn_alb_smlt    =   0.75             !  melting snow albedo     : 0.65 ( '' )          ; 0.75 ( '' )          ; obs 0.72-0.82 ( '' )
+   rn_alb_idry    =   0.60             !  dry ice albedo          : 0.72 ( '' )          ; 0.60 ( '' )          ; obs 0.54-0.65 ( '' )
+   rn_alb_imlt    =   0.50             !  bare puddled ice albedo : 0.53 ( '' )          ; 0.50 ( '' )          ; obs 0.49-0.58 ( '' )
+   rn_alb_dpnd    =   0.27             !  ponded ice albedo       : 0.25 ( '' )          ; 0.27 ( '' )          ; obs 0.10-0.30 ( '' )
 /
 !------------------------------------------------------------------------------
 &namice_dia     !   Diagnostics
 !------------------------------------------------------------------------------
-   ln_limdiachk   =  .false.        !  check online the heat, mass & salt budgets (T) or not (F)
-   ln_limdiahsb   =  .false.        !  output the heat, mass & salt budgets (T) or not (F)
-   ln_limctl      =  .false.        !  ice points output for debug (T or F)
-   iiceprt        =    10           !  i-index for debug
-   jiceprt        =    10           !  j-index for debug
-/
+   ln_icediachk   = .false.            !  check online the heat, mass & salt budgets (T) or not (F)
+   ln_icediahsb   = .false.            !  output the heat, mass & salt budgets (T) or not (F)
+   ln_icectl      = .false.            !  ice points output for debug (T or F)
+   iiceprt        =  10                !  i-index for debug
+   jiceprt        =  10                !  j-index for debug
+/
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/ice.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/ice.F90	(revision 8513)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/ice.F90	(revision 8514)
@@ -165,7 +165,7 @@
    
    !                                     !!** ice-diagnostics namelist (namice_dia) **
-   LOGICAL , PUBLIC ::   ln_limdiachk     !: flag for ice diag (T) or not (F)
-   LOGICAL , PUBLIC ::   ln_limdiahsb     !: flag for ice diag (T) or not (F)
-   LOGICAL , PUBLIC ::   ln_limctl        !: flag for sea-ice points output (T) or not (F)
+   LOGICAL , PUBLIC ::   ln_icediachk     !: flag for ice diag (T) or not (F)
+   LOGICAL , PUBLIC ::   ln_icediahsb     !: flag for ice diag (T) or not (F)
+   LOGICAL , PUBLIC ::   ln_icectl        !: flag for sea-ice points output (T) or not (F)
    INTEGER , PUBLIC ::   iiceprt          !: debug i-point
    INTEGER , PUBLIC ::   jiceprt          !: debug j-point
@@ -181,8 +181,8 @@
    INTEGER , PUBLIC ::   nn_UMx           !: order of the UMx advection scheme   
                                           ! -- icerdgrft -- !
-   LOGICAL , PUBLIC ::   ln_str_Hib       !: ice strength parameterization (Hibler79)
+   LOGICAL , PUBLIC ::   ln_str_H79       !: ice strength parameterization (Hibler79)
    REAL(wp), PUBLIC ::   rn_pstar         !: determines ice strength, Hibler JPO79
    REAL(wp), PUBLIC ::   rn_crhg          !: determines changes in ice strength
-   LOGICAL , PUBLIC ::   ln_str_Rot       !: ice strength parameterization (Rothrock75)
+   LOGICAL , PUBLIC ::   ln_str_R75       !: ice strength parameterization (Rothrock75)
    REAL(wp), PUBLIC ::   rn_perdg         !: ridging work divided by pot. energy change in ridging
                                           ! -- icerhg -- !
@@ -199,36 +199,38 @@
 
    !                                     !!** ice-thermodynamics namelist (namice_thd) **
-   LOGICAL , PUBLIC ::   ln_limthd        !: flag for ice thermo (T) or not (F)
+   LOGICAL , PUBLIC ::   ln_icethd        !: flag for ice thermo (T) or not (F)
                                           ! -- icethd_dif -- !
    REAL(wp), PUBLIC ::   rn_kappa_i       !: coef. for the extinction of radiation Grenfell et al. (2006) [1/m]
-   INTEGER , PUBLIC ::   nn_ice_thcon     !: thermal conductivity: =0 Untersteiner (1964) ; =1 Pringle et al (2007)
-   LOGICAL , PUBLIC ::   ln_dqnsice       !: change non-solar surface flux with changing surface temperature (T) or not (F)
+   LOGICAL , PUBLIC ::   ln_cndi_U64      !: thermal conductivity: Untersteiner (1964)
+   LOGICAL , PUBLIC ::   ln_cndi_P07      !: thermal conductivity: Pringle et al (2007)
+   LOGICAL , PUBLIC ::   ln_dqns_i        !: change non-solar surface flux with changing surface temperature (T) or not (F)
    INTEGER , PUBLIC ::   nn_monocat       !: virtual ITD mono-category parameterizations (1-4) or not (0)
-   REAL(wp), PUBLIC ::   rn_cdsn          !: thermal conductivity of the snow [W/m/K]
+   REAL(wp), PUBLIC ::   rn_cnd_s         !: thermal conductivity of the snow [W/m/K]
                                           ! -- icethd_dh -- !
-   LOGICAL , PUBLIC ::   ln_limdH         !: activate ice thickness change from growing/melting (T) or not (F)
-   REAL(wp), PUBLIC ::   rn_betas         !: coef. for partitioning of snowfall between leads and sea ice
+   LOGICAL , PUBLIC ::   ln_icedH         !: activate ice thickness change from growing/melting (T) or not (F)
+   REAL(wp), PUBLIC ::   rn_blow_s        !: coef. for partitioning of snowfall between leads and sea ice
                                           ! -- icethd_da -- !
-   LOGICAL , PUBLIC ::   ln_limdA         !: activate lateral melting param. (T) or not (F)
+   LOGICAL , PUBLIC ::   ln_icedA         !: activate lateral melting param. (T) or not (F)
    REAL(wp), PUBLIC ::   rn_beta          !: coef. beta for lateral melting param.
    REAL(wp), PUBLIC ::   rn_dmin          !: minimum floe diameter for lateral melting param.
                                           ! -- icethd_lac -- !
-   LOGICAL , PUBLIC ::   ln_limdO         !: activate ice growth in open-water (T) or not (F)
-   REAL(wp), PUBLIC ::   rn_hnewice       !: thickness for new ice formation (m)
+   LOGICAL , PUBLIC ::   ln_icedO         !: activate ice growth in open-water (T) or not (F)
+   REAL(wp), PUBLIC ::   rn_hinew         !: thickness for new ice formation (m)
    LOGICAL , PUBLIC ::   ln_frazil        !: use of frazil ice collection as function of wind (T) or not (F)
-   REAL(wp), PUBLIC ::   rn_maxfrazb      !: maximum portion of frazil ice collecting at the ice bottom
-   REAL(wp), PUBLIC ::   rn_vfrazb        !: threshold drift speed for collection of bottom frazil ice
-   REAL(wp), PUBLIC ::   rn_Cfrazb        !: squeezing coefficient for collection of bottom frazil ice
+   REAL(wp), PUBLIC ::   rn_maxfraz       !: maximum portion of frazil ice collecting at the ice bottom
+   REAL(wp), PUBLIC ::   rn_vfraz         !: threshold drift speed for collection of bottom frazil ice
+   REAL(wp), PUBLIC ::   rn_Cfraz         !: squeezing coefficient for collection of bottom frazil ice
                                           ! -- iceitd_th -- !
    REAL(wp), PUBLIC ::   rn_himin         !: minimum ice thickness
                                           ! --  -- !
-   INTEGER , PUBLIC ::   nn_limflx        !: LIM3 Multi-category heat flux formulation
-   !                                      !   =-1  Use of per-category fluxes
-   !                                      !   = 0  Average per-category fluxes
-   !                                      !   = 1  Average then redistribute per-category fluxes
+   INTEGER , PUBLIC ::   nn_iceflx        !: Redistribute heat flux over ice categories
+   !                                      !   =-1  Do nothing (needs N(cat) fluxes)
+   !                                      !   = 0  Average N(cat) fluxes then apply the average over the N(cat) ice 
+   !                                      !   = 1  Average N(cat) fluxes then redistribute over the N(cat) ice
+   !                                      !                                   using T-ice and albedo sensitivity
    !                                      !   = 2  Redistribute a single flux over categories
 
    !                                     !!** ice-salinity namelist (namice_sal) **
-   LOGICAL , PUBLIC ::   ln_limdS         !: activate gravity drainage and flushing (T) or not (F)
+   LOGICAL , PUBLIC ::   ln_icedS         !: activate gravity drainage and flushing (T) or not (F)
    INTEGER , PUBLIC ::   nn_icesal        !: salinity configuration used in the model
    !                                      ! 1 - constant salinity in both space and time
@@ -354,5 +356,4 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   sm_i      !: Sea-Ice Bulk salinity (ppt)
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   smv_i     !: Sea-Ice Bulk salinity times volume per area (ppt.m)
-   !                                                                    !  this is an extensive variable that has to be transported
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   o_i       !: Sea-Ice Age (s)
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   oa_i      !: Sea-Ice Age times ice area (s)
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceadv.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceadv.F90	(revision 8513)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceadv.F90	(revision 8514)
@@ -37,10 +37,10 @@
    PUBLIC   ice_adv_init   ! called by icestp
 
-   INTEGER, PUBLIC ::              nice_dyn   ! choice of the type of advection scheme
+   INTEGER, PUBLIC ::              nice_dyn   !: choice of the type of advection scheme
    !                                  ! associated indices:
-   INTEGER, PUBLIC, PARAMETER ::   np_dynNO   = 0   ! no ice dynamics and ice advection
-   INTEGER, PUBLIC, PARAMETER ::   np_dynFULL = 1   ! full ice dynamics  (rheology + advection + ridging/rafting + correction)
-   INTEGER, PUBLIC, PARAMETER ::   np_dyn     = 2   ! no ridging/rafting (rheology + advection                   + correction)
-   INTEGER, PUBLIC, PARAMETER ::   np_dynPURE = 3   ! pure dynamics      (rheology + advection) 
+   INTEGER, PUBLIC, PARAMETER ::   np_dynNO   = 0   !: no ice dynamics and ice advection
+   INTEGER, PUBLIC, PARAMETER ::   np_dynFULL = 1   !: full ice dynamics  (rheology + advection + ridging/rafting + correction)
+   INTEGER, PUBLIC, PARAMETER ::   np_dyn     = 2   !: no ridging/rafting (rheology + advection                   + correction)
+   INTEGER, PUBLIC, PARAMETER ::   np_dynPURE = 3   !: pure dynamics      (rheology + advection) 
 
    !! * Substitution
@@ -90,5 +90,5 @@
 
       ! conservation test
-      IF( ln_limdiachk )   CALL ice_cons_hsm(0, 'iceadv', zvi_b, zsmv_b, zei_b, zfw_b, zfs_b, zft_b)
+      IF( ln_icediachk )   CALL ice_cons_hsm(0, 'iceadv', zvi_b, zsmv_b, zei_b, zfw_b, zfs_b, zft_b)
       
       ! store old values for diag
@@ -224,10 +224,10 @@
       
       ! conservation test
-      IF( ln_limdiachk )   CALL ice_cons_hsm(1, 'iceadv', zvi_b, zsmv_b, zei_b, zfw_b, zfs_b, zft_b)
+      IF( ln_icediachk )   CALL ice_cons_hsm(1, 'iceadv', zvi_b, zsmv_b, zei_b, zfw_b, zfs_b, zft_b)
         
       ! --------------
       ! control prints
       ! --------------
-      IF( ln_limctl )   CALL ice_prt( kt, iiceprt, jiceprt,-1, ' - ice dyn & trp - ' )
+      IF( ln_icectl )   CALL ice_prt( kt, iiceprt, jiceprt,-1, ' - ice dyn & trp - ' )
       !
       IF( nn_timing == 1 )  CALL timing_stop('iceadv')
@@ -264,5 +264,5 @@
       IF(lwp) THEN                     ! control print
          WRITE(numout,*)
-         WRITE(numout,*) 'ice_adv_init : ice parameters for ice dynamics '
+         WRITE(numout,*) 'ice_adv_init: ice parameters for ice dynamics '
          WRITE(numout,*) '~~~~~~~~~~~~'
          WRITE(numout,*) '   Namelist namice_adv'
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icealb.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icealb.F90	(revision 8513)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icealb.F90	(revision 8514)
@@ -328,6 +328,6 @@
       IF(lwp) THEN                      ! Control print
          WRITE(numout,*)
-         WRITE(numout,*) 'albedo : set albedo parameters'
-         WRITE(numout,*) '~~~~~~~'
+         WRITE(numout,*) 'ice_alb_init: set albedo parameters'
+         WRITE(numout,*) '~~~~~~~~~~~~'
          WRITE(numout,*) '   Namelist namice_alb : albedo '
          WRITE(numout,*) '      choose the albedo parameterization   nn_ice_alb  = ', nn_ice_alb
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icecor.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icecor.F90	(revision 8513)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icecor.F90	(revision 8514)
@@ -64,5 +64,5 @@
       ENDIF
       !                             !--- conservation test
-      IF( ln_limdiachk )   CALL ice_cons_hsm(0, 'icecor', zvi_b, zsmv_b, zei_b, zfw_b, zfs_b, zft_b)
+      IF( ln_icediachk )   CALL ice_cons_hsm(0, 'icecor', zvi_b, zsmv_b, zei_b, zfw_b, zfs_b, zft_b)
       !
       !
@@ -86,5 +86,5 @@
     
       !                             !-----------------------------------------------------
-      IF (  nn_icesal == 2  ) THEN  !  salinity stays in bounds [Simin,Simax]            !
+      IF ( nn_icesal == 2 ) THEN    !  salinity must stay in bounds [Simin,Simax]        !
       !                             !-----------------------------------------------------
          zzc = rhoic * r1_rdtice
@@ -176,9 +176,9 @@
       !
       !                                !--- conservation test
-      IF( ln_limdiachk )   CALL ice_cons_hsm(1, 'icecor', zvi_b, zsmv_b, zei_b, zfw_b, zfs_b, zft_b)
+      IF( ln_icediachk )   CALL ice_cons_hsm(1, 'icecor', zvi_b, zsmv_b, zei_b, zfw_b, zfs_b, zft_b)
       !
       !                                !--- control prints
       IF( ln_ctl )                    CALL ice_prt3D( 'icecor' )
-      IF( ln_limctl .AND. kn == 2 )   CALL ice_prt( kt, iiceprt, jiceprt, 2, ' - Final state - ' )
+      IF( ln_icectl .AND. kn == 2 )   CALL ice_prt( kt, iiceprt, jiceprt, 2, ' - Final state - ' )
       !
       IF( nn_timing == 1 )   CALL timing_stop('icecor')
